OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_OrientedPath Class Reference

`#include <StepShape_OrientedPath.hxx>`

Inheritance diagram for StepShape_OrientedPath:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_OrientedPath ()
| Returns a OrientedPath .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfOrientedEdge)&aEdgeList)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_EdgeLoop)&aPathElement, const Standard_Boolean aOrientation)
Standard_EXPORT void | SetPathElement (const Handle(StepShape_EdgeLoop)&aPathElement)
Standard_EXPORT Handle_StepShape_EdgeLoop | PathElement () const
Standard_EXPORT void | SetOrientation (const Standard_Boolean aOrientation)
Standard_EXPORT Standard_Boolean | Orientation () const
virtual Standard_EXPORT void | SetEdgeList (const Handle(StepShape_HArray1OfOrientedEdge)&aEdgeList)
virtual Standard_EXPORT Handle_StepShape_HArray1OfOrientedEdge | EdgeList () const
virtual Standard_EXPORT Handle_StepShape_OrientedEdge | EdgeListValue (const Standard_Integer num) const
virtual Standard_EXPORT Standard_Integer | NbEdgeList () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_EdgeLoop | pathElement
Standard_Boolean | orientation

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_OrientedPath::StepShape_OrientedPath | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepShape_HArray1OfOrientedEdge StepShape_OrientedPath::EdgeList | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_Path.

virtual Standard_EXPORT Handle_StepShape_OrientedEdge StepShape_OrientedPath::EdgeListValue | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from StepShape_Path.

Standard_EXPORT const StepShape_OrientedPath::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Path.

virtual Standard_EXPORT void StepShape_OrientedPath::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_EdgeLoop)& | aPathElement,
|  | const Standard_Boolean | aOrientation
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_OrientedPath::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfOrientedEdge)& | aEdgeList
| ) | `[virtual]`

| Reimplemented from StepShape_Path.

virtual Standard_EXPORT Standard_Integer StepShape_OrientedPath::NbEdgeList | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_Path.

Standard_EXPORT Standard_Boolean StepShape_OrientedPath::Orientation | ( |  | ) | const

Standard_EXPORT Handle_StepShape_EdgeLoop StepShape_OrientedPath::PathElement | ( |  | ) | const

virtual Standard_EXPORT void StepShape_OrientedPath::SetEdgeList | ( | const Handle(StepShape_HArray1OfOrientedEdge)& | aEdgeList | ) | `[virtual]`

| Reimplemented from StepShape_Path.

Standard_EXPORT void StepShape_OrientedPath::SetOrientation | ( | const Standard_Boolean | aOrientation | ) |

Standard_EXPORT void StepShape_OrientedPath::SetPathElement | ( | const Handle(StepShape_EdgeLoop)& | aPathElement | ) |

## Field Documentation

Standard_Boolean StepShape_OrientedPath::orientation`[private]`

Handle_StepShape_EdgeLoop StepShape_OrientedPath::pathElement`[private]`

The documentation for this class was generated from the following file:

- StepShape_OrientedPath.hxx